Subject: bug#42947: closed (Re: bug#42947: Chez Scheme libraries are broken)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Sep 2020 14:37:02 +0000

Your bug report

#42947: Chez Scheme libraries are broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42947: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42947
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42947: Chez Scheme libraries are broken
From: Ludovic Courtès <[email-masked]>
To: Martin Becze <[email-masked]>
Cc: [email-masked]
Date: Wed, 02 Sep 2020 16:36:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Martin Becze <[email-masked]> skribis:

>> I see, but now we’re creating a directory that remains empty, and as I
>> wrote, chez-fmt is actually installed in another directory anyway:
>
> Oh yikes! Yeah so I see half of the scheme libraries are installed in
> lib/csv-site and other are installed in lib/csv<version>-site. It
> appears that there was a missing make flag for scheme-fmt and several
> others. Attached is an updated patch that fixes that.

[...]

> From 328ab304b47671dcdc03768f07484aae298ca646 Mon Sep 17 00:00:00 2001
> From: Martin Becze <[email-masked]>
> Date: Thu, 20 Aug 2020 12:39:50 -0500
> Subject: [PATCH v2 1/2] gnu: chez-scheme: Fix libary directory issue.
>
> This creates the directory lib/csv<version>-site which the scheme libary packages
> expect.
>
> * gnu/packages/chez.scm (chez-scheme): Create libary directory.
> * gnu/packages/chez.scm (chez-make-flags): Add chezversion to make flags.

I’ve applied it without the ‘mkdir’.  I confirm it solves the problem:

  echo '(import (fmt))' | ./pre-inst-env guix environment -C --ad-hoc chez-scheme chez-fmt -- chez-scheme

Thanks!

Ludo’.

Subject: Chez Scheme libraries are broken
From: Martin Becze <[email-masked]>
To: [email-masked]
Date: Thu, 20 Aug 2020 06:30:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Chez Scheme libraries are broken. For example `guix environment --ad-hoc
chez-scheme chez-fmt`. chez-fmt will not install (for me) because it is
dependent on chez-srfi and chez-scheme seem unable to locate it.

I think it is because CHEZSCHEMELIBDIRS is not being set. But I'm not
sure why that is happening. The chez-scheme package includes the following

```
(native-search-paths
      (list (search-path-specification
            (variable "CHEZSCHEMELIBDIRS")
            (files (list (string-append "lib/csv" version "-site"))))))
```
Which I think should set it.

-Martin